Create a project (writes a `Project` CR).
POST
/api/v1/projects
const url = 'https://example.com/api/v1/projects';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"shop","display_name":"Online Shop","description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/projects \ --header 'Content-Type: application/json' \ --data '{ "name": "shop", "display_name": "Online Shop", "description": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
DNS label, e.g. shop (at most 40 characters).
string
Example
shopdisplay_name
required
string
Example
Online Shopdescription
string | null
Responses
Section titled “Responses”Media typeapplication/json
object
name
required
string
uid
string | null
display_name
required
string
description
string | null
org
string | null
environments
required
integer format: int32
ready
required
boolean
deleting
required
boolean
created_at
string | null
Examplegenerated
{ "name": "example", "uid": "example", "display_name": "example", "description": "example", "org": "example", "environments": 1, "ready": true, "deleting": true, "created_at": "example"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}No cluster configured
Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}